"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var QRCode = require('../index');

var BASIC_PROPS = {
  value: 'http://picturesofpeoplescanningqrcodes.tumblr.com/',
  renderAs: 'svg',
  size: 128,
  bgColor: '#ffffff',
  fgColor: '#000000',
  level: 'L',
  includeMargin: false
};
var TEST_CONFIGS = [{
  includeMargin: true
}, {
  includeMargin: false
}, {
  level: 'L'
}, {
  level: 'M'
}, {
  level: 'Q'
}, {
  level: 'H'
}, {
  imageSettings: {
    src: 'https://static.zpao.com/favicon.png',
    x: null,
    y: null,
    height: 24,
    width: 24,
    excavate: true
  }
}, {
  imageSettings: {
    src: 'https://static.zpao.com/favicon.png',
    x: null,
    y: null,
    height: 24,
    width: 24,
    excavate: false
  }
}];
describe('SVG rendering', function () {
  test('renders basic SVG correctly', function () {
    var tree = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(QRCode, BASIC_PROPS)).toJSON();

    expect(tree).toMatchSnapshot();
  });
  test.each(TEST_CONFIGS)('renders SVG variation (%o) correctly', function (config) {
    var tree = _reactTestRenderer.default.create( /*#__PURE__*/_react.default.createElement(QRCode, _extends({}, BASIC_PROPS, config))).toJSON();

    expect(tree).toMatchSnapshot();
  });
});